## Quickstart Guide

### tcp
``` dart
import 'package:flutter_mqtt/flutter_mqtt.dart';

void main() async {
  var cli = MqttClient("broker.emqx.io", 1883)
    ..withKeepalive(5)
    ..withClientID("mqtt_test");
  cli.onMqttConack((msg) {
    if (msg.returnCode != MqttConnectReturnCode.connectionAccepted) {
      cli.close();
      return;
    }
    print(msg);
  });
  cli.onBeforeReconnect(() async {
    print("reconnecting...");
  });

  cli.start();
}

```

### tls
``` dart
import 'dart:io';

import 'package:flutter_mqtt/flutter_mqtt.dart';
import 'package:flutter_xtransport/flutter_xtransport.dart';

void main() async {
  var cli = MqttClient(
    "127.0.0.1",
    8883,
    // reConnectDuration: const Duration(seconds: 5),
    credentials: XtransportCredentials.secure(
      authority: "xx.apple.com",
      certificates: File('cert/ca.pem').readAsBytesSync(),
      clientCertificateBytes: File('cert/client.pem').readAsBytesSync(),
      clientPrivateKeyBytes: File('cert/client.key').readAsBytesSync(),
      onBadCertificate: (_x509, _host) => true,
    ),
  )
    ..withKeepalive(5)
    ..withClientID("mqttx_test");
  cli.onMqttConack((msg) {
    if (msg.returnCode != MqttConnectReturnCode.connectionAccepted) {
      cli.close();
      return;
    }
  });
  cli.onBeforeReconnect(() async{
    print("reconnecting...");
  });
  cli.start();
}
```
