part of './packets.dart';

class ConackPacket extends MqttMessage {
  MqttConnectReturnCode returnCode = MqttConnectReturnCode.noneSpecified;

  /// Initializes a new instance of the MqttConnectAckMessage class.
  ConackPacket.fromByteBuffer(MqttHeader head, MqttByteBuffer messageStream) {
    this.head = head;
    readFrom(messageStream);
  }

  void readFrom(MqttByteBuffer b) {
    var _ = b.readByte();
    var ret = b.readByte();
    returnCode = MqttConnectReturnCode.values[ret];
  }

  @override
  String toString() => 'ConAckPacket'
      'ReturnCode={$returnCode}';
  @override
  Uint8List pack() {
    return Uint8List(0);
  }
}
