// ignore_for_file: constant_identifier_names

enum MqttMessageType {
  UNKNOW,
  CONNECT,
  CONNACK,
  PUBLISH,
  PUBACK,
  PUBREC,
  PUBREL,
  PUBCOMP,
  SUBSCRIBE,
  SUBACK,
  UNSUBSCRIBE,
  UNSUBACK,
  PINGREQ,
  PINGRESP,
  DISCONNECT,
  Reserved,
}

enum MqttConnectReturnCode {
  /// Connection accepted
  connectionAccepted,

  /// Invalid protocol version
  unacceptedProtocolVersion,

  /// Invalid client identifier
  identifierRejected,

  /// Broker unavailable
  brokerUnavailable,

  /// Invalid username or password
  badUsernameOrPassword,

  /// Not authorised
  notAuthorized,

  /// Unsolicited, i.e. not requested by the client
  unsolicited,

  /// Solicited, i.e. requested by the client
  solicited,

  /// Default
  noneSpecified
}

enum MqttQos {
  atMostOnce,
  atLeastOnce,
  exactlyOnce,
}
