part of './packets.dart';

class PingPacket extends MqttMessage {
  PingPacket() {
    head = MqttHeader().asType(MqttMessageType.PINGREQ);
  }

  /// Initializes a new instance of the MqttConnectAckMessage class.
  PingPacket.fromByteBuffer(MqttHeader head, MqttByteBuffer messageStream) {
    this.head = head;
    readFrom(messageStream);
  }

  String topicName = "";
  int messageID = 0;
  Uint8List payload = Uint8List(0);

  void readFrom(MqttByteBuffer b) {
    var len = b.readShort();
    topicName = utf8.decode(b.read(len).toList());
    if (head.qos.index > 0) {
      messageID = b.readShort();
    }
    b.shrink();
    payload = Uint8List.fromList(b.buffer.toList());
  }

  @override
  Uint8List pack() {
    head.asType(MqttMessageType.PINGREQ);
    return head.pack();
  }

  @override
  String toString() => 'PingPacket';
}
