part of './packets.dart';

class UnSubscribePacket extends MqttMessage {
  int _messageID = 0;
  final List<String> _topics = [];

  @override
  Uint8List pack() {
    head.type = MqttMessageType.UNSUBSCRIBE;
    Uint8List buf = Uint8List(0);
    buf.addAll(encodeUint16(_messageID));
    for (var i = 0; i < _topics.length; i++) {
      buf.addAll(encodeString(_topics[i]));
    }
    head.remainingLength = buf.length;

    var buf2 = head.pack();
    buf2.addAll(buf);
    return buf2.buffer.asUint8List();
  }

  void withMessageID(int val) {
    _messageID = val;
  }

  void add(String topic) {
    _topics.add(topic);
  }

  UnSubscribePacket.withTopic(List<String> topics) {
    for (var item in topics) {
      add(item);
    }
  }
}
